local Widget  = require "core.modules.menusystem.widgets"
local RadianceWidget = Widget.Text:extend()

function RadianceWidget:new(scene, name, label, color)
  self.scene = scene
  local label = label or ""
  local font = scene.assets.fonts["small"]
  font:setFilter("shadow")
  local widgetMenu = scene.menusystem.menus[name]
  RadianceWidget.super.new(self, widgetMenu, font, label, color)
end

return RadianceWidget
